Subject: Re: [bug#49076] [PATCH] gnu: dune-bootstrap: Update to 2.8.5.

From: pukkamustard <[email-masked]>
Date: Sat, 19 Jun 2021 08:46:08 +0000

Hi,

I can confirm that `ocaml-mdx` is currently not building for me 
locally.

It seems to be that something in the dune 2.8 format changed and 
was breaking tests. This was fixed in ocaml-mdx 
(https://github.com/realworldocaml/mdx/pull/314) which is in 
ocaml-mdx 0.8. Simply updating ocaml-mdx to 0.9 (the latest) makes 
ocaml-mdx build again. Patch for that is attached.

>From a898e50a063dd2bcbce252b21ad9aafe5b5099a7 Mon Sep 17 00:00:00 2001
From: pukkamustard <[email-masked]>
Date: Sat, 19 Jun 2021 10:53:02 +0200
Subject: [PATCH] gnu: Update ocaml-mdx to 1.9.0.

* gnu/packages/ocaml.scm (ocaml-mdx): Update to 1.9.0.
---
 gnu/packages/ocaml.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index a8432ebbfe..a47267916c 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -6745,7 +6745,7 @@ variants.")
 (define-public ocaml-mdx
   (package
     (name "ocaml-mdx")
-    (version "1.7.0")
+    (version "1.9.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -6754,7 +6754,7 @@ variants.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "10avyv99xkfqdq3gmq8gps770jpibbfslg97sbhgmp0dpwikz49d"))))
+                "0fhwaci8j73fx9xqapa9iv9xwjx73r6p8wh9xg6brnfbqkc38d5b"))))
     (build-system dune-build-system)
     (inputs
      `(("ocaml-fmt" ,ocaml-fmt)
-- 
2.32.0

I don't yet understand what was changed in the dune format that 
caused this break and if that also affects other packages.

-pukkamustard

Xinglu Chen <[email-masked]> writes:

> On Fri, Jun 18 2021, Julien Lepiller wrote:
>
>> Oops, didn't send to tre right address. Pushed to master, 
>> thanks.
>
> Great!
>
> I see that CI is not able to build some packages, but I tried 
> building
> them locally and it worked fine.  Excerpt from 
> <[email-masked]>:
>
> --8<---------------cut 
> here---------------start------------->8---
> Build ocaml-integers.x86_64-linux on master is broken.
> Build ocaml4.09-dune-configurator.aarch64-linux on master is 
> broken.
> Build ocaml-cppo.x86_64-linux on master is broken.
> Build ocaml-syntax-shims.x86_64-linux on master is broken.
> Build r-mbkmeans.i686-linux on master is broken.
> Build ocaml-version.x86_64-linux on master is broken.
> Build ocaml-ppx-derivers.x86_64-linux on master is broken.
> Build ocaml-cairo2.x86_64-linux on master is broken.
> Build r-rhdf5filters.i686-linux on master is broken.
> Build ocaml-mmap.x86_64-linux on master is broken.
> Build r-xbioc.x86_64-linux on master is fixed.
> Build ocaml-num.x86_64-linux on master is broken.
> Build ocaml-graphics.x86_64-linux on master is broken.
> Build ocaml-csv.x86_64-linux on master is broken.
> Build r-do-db.x86_64-linux on master is fixed.
> Build r-biomart.x86_64-linux on master is fixed.
> Build ocaml-camomile.x86_64-linux on master is broken.
> --8<---------------cut 
> here---------------end--------------->8---
>
> Any ideas?